Skip to main content
POST
Upload media by file

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

kind
enum<string>

Kind of media uploaded

Available options:
video,
audio,
image

Body

multipart/form-data
data
file
required

Media data

name
string

Media name

Response

Create media upload

kind
enum<string>
required

Kind of media uploaded

Available options:
video,
audio,
image
status
enum<string>
required

Status of media uploaded

Available options:
processing,
ready,
failed
mime_type
string
required

Media mime type

user_id
string<uuid>
required

Author ID

meta
VideoMeta · object
required
id
string<uuid>
required

ID of media uploaded

created_at
string<date-time>
required

Date and time of media creation

updated_at
string<date-time>
required

Date and time of the last media update

path
string
required

Path to the media

name
string | null

Name of media uploaded

url
string<uri> | null

Media url

Minimum string length: 1
preview
MediaSlimGet · object | null